LIBXO(3)

NAME
xo_finish, xo_finish_h - finish formatting output

LIBRARY
libxo

SYNOPSIS
#include <libxo/xo.h>
xo_ssize_t
xo_finish(void);
xo_ssize_t
xo_finish_h(xo_handle_t *xop);

DESCRIPTION
When the program is ready to exit or close a handle, a call to xo_finish() is required. This flushes any buffered data, closes open libxo constructs, and completes any pending operations.

Calling this function is vital to the proper operation of libxo, especially for the non-TEXT output styles.

SEE ALSO
xo_emit(3), libxo(3)

HISTORY
The libxo library first appeared in FreeBSD 11.0.

AUTHORS
libxo was written by Phil Shafer <phil@freebsd.org>.